### Method

# AppStream Relation set_value_str

since: 0.12.12

#### Declaration [src]

    void
    as_relation_set_value_str (
      AsRelation* relation,
      const gchar* value
    )

#### Description [src]

Sets the item value as a string, if the given item type of this `AsRelation` permits string values.

Available since: 0.12.12

#### Parameters

`value`

  Type: `const gchar*`

  The new value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.